Package com.smartgwt.client.widgets

# Class DataContextBinding

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.DataContextBinding

All Implemented Interfaces:
  `HasHandlers`

public class DataContextBinding extends DataClass
Identical to a `DataContext` but in addition to fixed values, `ruleContext` values can be specified by prefixing the `ruleContext` path with `$ruleScope.` as shown below:

For example, in SmartGWT:

        Record customerRecord = new Record();
        customerRecord.setAttribute("customerNumber", "$ruleScope.customerGrid.values.customerNumber");

        DataContext dataContext = new DataContext();
        dataContext.addMapping("Customer", customerRecord);

When used within a Workflow `SetScreenDataTask` or `AddScreenTask`, any applicable `TaskInputExpression` can be used as a value.

To use a literal value that starts with one of the expressions described above, prefix the leading dollar sign ($) with a backslash (\) (ex. "\$ruleScope.goes.here") to prevent the value from being resolved as an expression.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataContextBinding()`
  `DataContextBinding(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataContextBinding`
  `getOrCreateRef(JavaScriptObject jsObj)`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataContextBinding

    public DataContextBinding()

  - ### DataContextBinding

    public DataContextBinding(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static DataContextBinding getOrCreateRef(JavaScriptObject jsObj)